Qt 5.9 | Qt 3D | C++ Classes | QPhysicalDeviceCreatedChangeBase

Qt 5.9.9 Reference Documentation

# QPhysicalDeviceCreatedChangeBase Class

(Qt3DInput::QPhysicalDeviceCreatedChangeBase)

Inherits: | Qt3DCore::QNodeCreatedChangeBase

- List of all members, including inherited members

## Public Functions

| QPhysicalDeviceCreatedChangeBase(const QAbstractPhysicalDevice *device)
| ~QPhysicalDeviceCreatedChangeBase()
Qt3DCore::QNodeIdVector | axisSettingIds() const

- 3 public functions inherited from Qt3DCore::QNodeCreatedChangeBase
- 4 public functions inherited from Qt3DCore::QSceneChange

## Member Function Documentation

### QPhysicalDeviceCreatedChangeBase::QPhysicalDeviceCreatedChangeBase(const QAbstractPhysicalDevice *device)

Default constructs an instance of QPhysicalDeviceCreatedChangeBase.

### QPhysicalDeviceCreatedChangeBase::~QPhysicalDeviceCreatedChangeBase()

Destroys the instance of QPhysicalDeviceCreatedChangeBase.

### Qt3DCore::QNodeIdVector QPhysicalDeviceCreatedChangeBase::axisSettingIds() const